Bulk delete SLO definitions and their associated summary and rollup data.

Base URL
https://{kibana_url}
  • POST /api/observability/slos/_bulk_delete
  • POST /s/{space_id}/api/observability/slos/_bulk_delete
Auth

Bulk delete SLO definitions and their associated summary and rollup data. This endpoint initiates a bulk deletion operation for SLOs, which may take some time to complete. The status of the operation can be checked using the GET /api/observability/slos/_bulk_delete/{taskId} endpoint.

Required privileges

Privileges slo_write

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

list string[] required

An array of SLO Definition id

Responses

Successful response

application/json
taskId string

The taskId of the bulk delete operation

Bad request

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required

Forbidden response

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}